import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.*;


/**
 * Class for the about dialog.
 */
public class AboutDialog extends JDialog implements ActionListener{
	/**
	 * Constructor:
	 * @param icApp Main application.
	 */
	public AboutDialog(Laf icApp){
		super(icApp);
		setTitle("About Laf");
		setModal(true);
		setResizable(false);
		
		// about text
		JTextArea ta=new JTextArea(
			"Authors:\n"+
			"Kirill Mourzenko\n"+
			"(with some parts written by) Hop Ho\n"+
			"Arnold Rosenbloom (Professor, provided some started code for the 1st and 3rd assignments)\n\n"+
			"3rd party software used:\n"+
			"Colt Algebra API\n"+
			"JavaExe2.0 by DevWizard\n\n"+
			"Laf originally started out as a project for a course called Image Computing.\n"+
			"We had to implement it over the duration of the course in 3 assignments,\n"+
			"which involved the 3 primary features of the program: foreground extraction,\n"+
			"image scissoring, and image mosaicing. The first assignment was individual,\n"+
			"while the other 2 were group assignment, which I worked with Hop on.\n"+
			"After the course was over I decided to improve the UI of the program and\n"+
			"rewrote a lot of the things from the original project. It's not perfect by far,\n" +
			"but the UI works almost like you'd expect a regular Windows application to work.\n"
		);
		ta.setEditable(false);
		ta.setBackground(getBackground());
		getContentPane().add(ta);
		
		// OK button.
		JButton b=new JButton("OK");
		b.addActionListener(this);
		getContentPane().add(b, BorderLayout.SOUTH);
		pack();
		setLocation((icApp.getWidth()-getWidth())/2, (icApp.getHeight()-getHeight())/2);
		setVisible(true);
	}

	/* (non-Javadoc)
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	public void actionPerformed(ActionEvent arg0) {
		dispose();
	}
}
